require 'ostruct'
require 'uuidtools'
require 'rest_client'
require 'multi_json'

module RSimperium
  META_MAP = {
    :x_simperium_version => :version
  }

  class << self
    def gen_uuid(name)
      UUIDTools::UUID.sha1_create(UUIDTools::UUID_OID_NAMESPACE, name)
    end

    def log(str)
      return unless ENV['R_SIMPERIUM_DEBUG'] == '1'
      puts str
    end
  end
end

Struct.new('ApiResponse', :meta, :data, :raw_response)

%w{api_helpers auth bucket api}.each do |file|
  require File.join(File.dirname(__FILE__), 'r_simperium', file)
end
